# BB-REP.CGI

Section: User Commands (1)
Updated: Version 4.2.2: 15 Dec 2008
Index Return to Main Contents

## NAME

bb-rep.cgi - CGI front-end to bbgen reporting

## SYNOPSIS

bb-rep.cgi [--noclean] [bbgen-options]

## DESCRIPTION

bb-rep.cgi is invoked as a CGI script via the bb-rep.sh CGI wrapper. It triggers the generation of a Xymon availability report for the timeperiod specified by the CGI paramaters.

bb-rep.cgi is passed a QUERY_STRING environment variable with the following parameters:

start-mon (Start month of the report)
start-day (Start day-of-month of the report)
start-yr (Start year of the report)
end-mon (End month of the report)
end-day (End day-of-month of the report)
end-yr (End year of the report)
style (Report style)
The following non-standard parameters are handled by the bbgen version of bb-rep.cgi:

suburl (Page in report to go to, if not the top page)

The "month" parameters must be specified as the three-letter english month name abbreviation: Jan, Feb, Mar ...

Start- and end-days are in the range 1..31; the start- and end-year must be specified including century (e.g. "2003").

End-times beyond the current time are silently replaced with the current time.

The generated report will include data for the start- and end-days, i.e. the report will begin at 00:00:00 of the start-day, and end at 23:59:59 of the end-day.

The "style" parameter is passed directly to bbgen(1) and should be "crit", "non-crit" or "all". Other values result in undefined behaviour.

All of the processing involved in generating the report is done by invoking bbgen(1) with the proper "--reportopts" option.

## OPTIONS

--noclean
  Do not clean the BBREP directory of old reports. Makes the report-tool go a bit faster - instead, you can clean up the BBREP directory e.g. via a cron-job.

--env=FILENAME
  Load the environment from FILENAME before executing the CGI.

bbgen-options
  All other options passed to bb-rep.cgi are passed on to the bbgen(1) program building the report files.

## FILES

$BBHOME/web/report_header
  HTML template header for the report request form

$BBHOME/web/report_footer
  HTML template footer for the report request form

$BBHOME/web/report_form
  HTML template report request form

## ENVIRONMENT VARIABLES

BBGENREPOPTS
  bbgen options passed by default to the bb-rep.cgi. This happens in the bb-rep.sh wrapper.
BBHOME
  Home directory of the Xymon server installation
BBREP
  Directory where generated reports are stored. This directory must be writable by the userid executing the CGI script, typically "www", "apache" or "nobody". Default: $BBHOME/www/rep/
BBREPURL
  The URL prefix to use when accessing the reports via a browser. Default: $BBWEB/rep

## SEE ALSO

bbgen(1), bb-hosts(5), hobbitserver.cfg(5)

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
FILES
ENVIRONMENT VARIABLES
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 12:54:31 GMT, December 15, 2008